from abc import *

class Annimal(ABC):
  def make_sound(self):
    pass
  
class Dog(Annimal):
  def make_sound(self):
    print("멍멍!!")

class Cat(Annimal):
  def make_sound(self):
    print("야옹이!!")
    
class Tig(Annimal):
  def make_sound(self):
    print("어흥!!")  
    
dog = Dog()
cat = Cat()
tig = Tig()

dog.make_sound()
cat.make_sound()
tig.make_sound()